Problem z aktualizacją Ubuntu


(Rlk120) #1

witam, posiadam Ubuntu 8.04 i dziś przy próbie aktualizacji pojawił mi się taki błąd :

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. 

E: _cache->open() failed, please report.

O co w nim chodzi ?

Jak to naprawić ?


(rgabrysiak) #2

Próbowałeś wykonać jako root


(Rlk120) #3

Właśnie nie, przed aktualizacją zapytało mnie o hasło, wpisałem poprawne i wyskoczył ten błąd.


(matiit) #4

No to wykonaj to...


(Rlk120) #5

No ale przed aktualizacją zapytało mnie o hasło, ja podałem i zamiast się aktualizować, wyskoczył taki błąd.


(matiit) #6

Wykonaj to co napisał rgabrysiak (z resztą jest to w komunikacie błędu...)


(Rlk120) #7

Nie mogę tego wykonać, ponieważ nie mogę poprzez komendę "su" zalogować się na administratora.


(matiit) #8
sudo dpkg --configure -a

(JarekMk) #9

W Ubuntu bezpośrednio na roota logujesz się poprzez sudo -i albo sudo su